/* COFFIN HEAD
________________________________________*/


// control points of 2D bezier curve
// X
#declare X1 = 0
#declare X2 = .6
#declare X3 = .5
#declare X4 = .5
// Y
#declare Y1 = 4
#declare Y2 = 4
#declare Y3 = 3.2
#declare Y4 = 3

// bezier patch for half coffin head
// h = 1 (c. h = 4), r ~= 0.5
#declare Steps = 5
#declare CHead_ = object {
    #include "lathe2.inc"
}

// coffin head
#declare CHead = union {
    object {CHead_ rotate y*0}
    object {CHead_ rotate y*180}
}


/* COFFIN BODY
________________________________________*/


// control points of 2D bezier curve
// X
#declare X1 = .5
#declare X2 = .5
#declare X3 = 1.3
#declare X4 = .5
// Y
#declare Y1 = 3
#declare Y2 = 2.8
#declare Y3 = 3
#declare Y4 = 0

// bezier patch for half coffin body
// h = 3, r ~= 0.9
#declare Steps = 5
#declare CBody_ = object {
    #include "lathe2.inc"
}

// coffin body
#declare CBody = union {
    object {CBody_ rotate y*0}
    object {CBody_ rotate y*180}
}


/* COFFIN END
________________________________________*/


// control points of 2D bezier curve
// X
#declare X1 = 0
#declare X2 = 0
#declare X3 = .5
#declare X4 = .5
// Y
#declare Y1 = 0
#declare Y2 = 0
#declare Y3 = 0
#declare Y4 = 0

// bezier patch for half coffin end
// h = 0, r = 0.5
#declare Steps = 5
#declare CEnd_ = object {
    #include "lathe2.inc"
}

// coffin end
#declare CEnd = union {
    object {CEnd_ rotate y*0}
    object {CEnd_ rotate y*180}
}


/* COFFIN
________________________________________*/


// submerged coffin, lying down along x facing up, centered about all axes
// head is in -ve x, body is in +ve x
// end is omitted because it's not visible
// l = 4, r = 1
#declare Coffin = union {
    object {CHead}
    object {CBody}
    //object {CEnd}
    //
    rotate x*-90
    rotate y*90
    translate x*2
    //
    texture {m_Coffin}
    
    bounded_by {
        box {<-2, -1, -1>, <2, 1, 1>}
    }
}

