/*
    Chomp!
    by G. Moran, 12 Nov 2021
    
    Licensed under CC BY-SA 4.0
    https://creativecommons.org/licenses/by-sa/4.0/
*/


#version 2.0

#include "material.inc"
#include "walls.inc"
#include "man.inc"
#include "ghosts.inc"


/* LAYOUT
________________________________________*/


// viewport
camera {
    location <6, .3, 2.4>
    right <4/3, 0, 0>
    look_at <0, .5, 5>
}

// lights
light_source {<3, 2, 3> color White}
light_source {<5, .5, 3> color Gray20}


/* OBJECTS
________________________________________*/


// floor
plane {y, 0 texture {m_Floor}}

// walls
union {
    object {Wall1}
    object {Wall2 translate < 2,0,2>}
    object {Wall3 translate <-1,0,4>}
    object {Wall4 translate <5,0,4>}
    
    translate y*.0001
}

// man
object {
    Man scale 1/2
    rotate y*90
    translate <2,0,3>
}

// points
object {Point translate <3,0,3>}
object {Point translate <4,0,3>}
object {Point translate <5,0,3>}

// ghosts
// blinky
object {
    Blinky scale 1/2
    rotate y*180
    translate <4,0,4.7>
}
// inky
object {
    Inky scale 1/2
    translate <1,0,1.5>
}
// clyde
object {
    Clyde scale 1/2
    rotate y*90
    translate <2,0,5>
}
