/* MAN FACE
________________________________________*/


// submerged sphere
// r = 3
#declare MFace = sphere {
    y-y, 3
}


/* MAN MOUTH
________________________________________*/


// how wide is the open mouth?
#declare MAngle = 40

// man mouth
// z : move the mouth to the front a little
#declare MMouth = intersection {
    plane {-y, 0 rotate x* MAngle}
    plane { y, 0 rotate x*-MAngle}
    translate z
}


/* MAN EYES
________________________________________*/


// elongated eye cylinder with a slit
// h = 1, w = 0.4
#declare MEye_ = difference {
    cylinder {
        z*2, z*3, 1
        scale <.4,1,1>
    }
    intersection {
        plane {x+2*y, 0}
        plane {x-2*y, 0}
    }
}

// positioned eye
// 20 : move eyes directly above mouth
// 7  : arbitrary value, move eyes further up
// MAngle*2/3 : compensate for the mouth being moved to the front
#declare MEye = object {
    MEye_
    rotate y*-20
    rotate -x*(20+7+MAngle*2/3)
}

// man eyes
#declare MEyes = union {
    object {MEye}
    object {MEye scale -x+y+z}
}


/* POINT
________________________________________*/


// glowing point
// c. h = 0.55, r = 0.05
#declare Point = sphere {
    y/2, .05
    texture {m_Point}
    no_shadow
}


/* MAN
________________________________________*/


// man above ground
// h = 2, r = 1
#declare Man = difference {
    object {MFace  texture {m_MFace}}
    object {MEyes  texture {m_MEyes}}
    object {MMouth texture {m_MMouth}}
    scale 1/3
    translate y
    bounded_by {
        sphere {y, 1}
    }
}
