#include "colors.inc"


/* INIT TEXTURES
________________________________________*/


// set default ambient and diffuse
#default {
    finish {
        diffuse .70
        ambient .20
    }
}

// invisible texture
#declare None = texture {
    pigment {
        color Clear
        quick_color Black
    }
    finish {ambient 1 diffuse 0}
}


/* GLOBAL TEXTURES
________________________________________*/


// slightly orangish yellow
#declare CoolYellow = texture {
    pigment {color rgb <1,.85,0>}
    finish  {phong 1 phong_size 20}
}

// black
#declare TheAbyss = texture {
    pigment {color Black}
    finish  {phong 0}
}

// red
#declare Reddish = texture {
    pigment {color Red}
    finish  {phong 1 phong_size 80}
}

// cyan
#declare Cyanish = texture {
    pigment {color Cyan}
    finish  {phong 1 phong_size 80}
}

// orange
#declare Orangish = texture {
    pigment {color Orange}
    finish  {phong 1 phong_size 80}
}

// pearly white
#declare Pearly = texture {
    pigment {color Silver}
    finish  {phong 1 phong_size 80 ambient .3}
}

// glowing neon
#declare Neon = texture {
    pigment {color Quartz}
    finish  {
        phong 1 phong_size 20
        ambient 1 diffuse 0
    }
}

// dark blue gradient (double length)
// marble instead of gradient to fix noisy ends
#declare DeepBlues = texture {
    pigment {
        marble rotate z*90 translate -y/2 scale 2
        color_map {
            [0 color Black filter .5]
            [1 color Blue  filter .5]
        }
        scale 2
        quick_color Blue
    }
    finish  {phong .5 phong_size 80 ambient .3}
}

// space rays
#declare GalacticRays = texture {
    pigment {
        marble
        color_map {
            [0 color MidnightBlue]
            [1 color Black]
        }
        quick_color MidnightBlue
    }
    finish  {phong 1 phong_size 80 reflection .15}
}


/* OBJECT-ASSIGNED TEXTURES
________________________________________*/


// floor
#declare m_Floor    = texture {GalacticRays}

// maze walls
#declare m_Walls    = texture {DeepBlues}

// man
#declare m_MFace    = texture {CoolYellow}
#declare m_MEyes    = texture {TheAbyss}
#declare m_MMouth   = texture {Reddish}

// points
#declare m_Point    = texture {Neon}

// ghosts
#declare m_GEye     = texture {Pearly}
#declare m_GPupil   = texture {TheAbyss}
#declare m_Blinky   = texture {Reddish}
#declare m_Inky     = texture {Cyanish}
#declare m_Clyde    = texture {Orangish}
