/*
    Season's Greetings '22
    by G. Moran, 13 Dec 2021
    
    Licensed under CC BY-SA 4.0
    https://creativecommons.org/licenses/by-sa/4.0/
*/


#version 2.0

#include "material.inc"
#include "penguin.inc"
#include "snowglob.inc"
#include "xmasball.inc"


/* LAYOUT
________________________________________*/


// viewport
camera {
    location <0, 4, 8>
    right    <4/3, 0, 0>
    look_at  <0, 1.5, 0>
}

// lights
light_source {<-4, 4, 4> color White}
light_source {<-4, 1, 0> color Gray35}

// green background
background {color rgb <.1,.3,.1>}


/* OBJECTS
________________________________________*/


// wooden floor
plane {
    y, 0
    texture {Wooden}
}

// striped wall
plane {
    z, -5 texture {Striped}
}

// christmas ball (far right)
object {
    XmasBallR
    rotate z*-8
    translate y*2
    translate -x*(2+3) -z*2
}
// christmas ball (near right)
object {
    XmasBallB
    rotate z*-120
    rotate y*-30
    translate y*2
    translate -x*(2+3) +z*2
}
// christmas ball (near left)
object {
    XmasBallRD
    rotate y*-90
    rotate z*-60
    translate y*2
    translate x*(2+3) +z*2
}
// christmas ball (far left)
object {
    XmasBallBD
    rotate x*35
    rotate y*-60
    translate y*2
    translate x*(2+3) -z*2
}

// snow globe
object {
    SnowGlobe
}

// penguin inside snow globe
object {
    PenguinTilted
    scale .8
    translate y*(.75+.3)
}
