/* SHINY REFLECTIVE BALL
________________________________________*/


// submerged reflective ball
// r = 2
#declare XBall = sphere {
    y-y, 2-.001
}

// shiny shell
// r = 2
#declare XShell = sphere {
    y-y, 2
}


/* TIP + HOOK
________________________________________*/


// tip connecting ball to hook
// h = 2.5, r = 0.4
#declare XTip = cylinder {
    y-y, y*2.5, .4
}

// hook
// h = 0.5
#declare XHook = torus {
    .2, .05
    rotate x*90
    translate y*(2.5+.2-.05)
}


/* CHRISTMAS BALL
________________________________________*/


// submerged christmas ball with tip and hook
// h ~= 5 , r = 2
#declare XmasBall = union {
    object {XBall texture {m_XBall}}
    object {XShell}
    object {XTip texture {m_XTip}}
    object {XHook texture {m_XHook}}
    
    bounded_by {
        union {
            sphere {y-y, 2}
            box {<-.4, 1, -.4>, <.4, 3, .4>}
        }
    }
}

// dark christmas ball
#declare XmasBallD = union {
    object {XBall texture {m_XBallD}}
    object {XShell}
    object {XTip texture {m_XTip}}
    object {XHook texture {m_XHook}}
    
    bounded_by {
        union {
            sphere {y-y, 2}
            box {<-.4, 1, -.4>, <.4, 3, .4>}
        }
    }
}


/* COLOR VARIATIONS
________________________________________*/


// red ball
#declare XmasBallR = object {
    XmasBall texture {m_XShellR}
}

// blue ball
#declare XmasBallB = object {
    XmasBall texture {m_XShellB}
}

// dark red ball
#declare XmasBallRD = object {
    XmasBallD texture {m_XShellR}
}

// dark blue ball
#declare XmasBallBD = object {
    XmasBallD texture {m_XShellB}
}
